Bug 1483127 (CVE-2017-12433) - CVE-2017-12433 ImageMagick: Memory leak in ReadPESImage function in coders/pes.c$
Summary: CVE-2017-12433 ImageMagick: Memory leak in ReadPESImage function in coders/pe...
Status: NEW
Alias: CVE-2017-12433
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170804,reported=2...
Keywords: Security
Depends On: 1483132
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-18 19:40 UTC by Pedro Sampaio
Modified: 2018-06-29 22:27 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)

Description Pedro Sampaio 2017-08-18 19:40:31 UTC
In ImageMagick 7.0.6-1, a memory leak vulnerability was found in the
function ReadPESImage in coders/pes.c, which allows attackers to cause
a denial of service, related to ResizeMagickMemory in memory.c.

Upstream bug:

https://github.com/ImageMagick/ImageMagick/issues/548

Upstream patch:

https://github.com/ImageMagick/ImageMagick/commit/0a170d18390d3762586f164e6abe3c4766d14620

Comment 1 Pedro Sampaio 2017-08-18 19:51:05 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1483132]


Note You need to log in before you can comment on or make changes to this bug.